All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.olap
Class BaseOLAPStrategy

    com.sas.actionprovider.strategies.olap.BaseOLAPStrategy

All Implemented Interfaces:
  ActionStatusKeysInterface, ActionStrategyInterface

Direct Known Subclasses:
  BaseEmptyLabelStrategy, BaseOLAPModelStrategy, ExportToExcelStrategy, HeaderLabelStrategy, LastHeaderLabelStrategy, MeasureLabelStrategy, MoveLabelStrategyHeaderCell, MoveMeasureLabelStrategy, SortLabelStrategy, TitleLabelStrategy

    public abstract class BaseOLAPStrategy

Field Summary
`static java.lang.String` | `MODEL`
`static java.lang.String` | `TABLE`

Fields inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`TEMPLATE_DELIMITER`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`BaseOLAPStrategy()` Default constructor.
`BaseOLAPStrategy(boolean swing, OLAPActionUtil util)` Constructor for specifying type ( swing/http ) of strategy object.

Method Summary
`protected void` | `addDynamicValueInfo(java.lang.String valueName, java.lang.String methodName, java.lang.String filterAlias)` Register the information for determining a dynamic value.
`protected void` | `initialize()` Initialize this strategy object.
`protected void` | `initializeActionAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes.
`protected void` | `setUtilObject(java.lang.Object util)` Sets the default utility object on which to invoke the methods that determine dynamic attribute values and Action status values.

Methods inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`addDynamicValueInfo, addDynamicValueInfo, getActionStatus, getCustomAttributeValue, getDynamicValue, getUtilObject, initializeAction, isSwing, setActionAttributes, setLocaleDependentDefaultAttributes, setSwing`

Field Detail

### MODEL

    public static final java.lang.String MODEL

See Also:
  Constant Field Values

### TABLE

    public static final java.lang.String TABLE

See Also:
  Constant Field Values

Constructor Detail

### BaseOLAPStrategy

    public BaseOLAPStrategy()

  Default constructor. Calls the other constructor for specifying strategy type.

### BaseOLAPStrategy

    public BaseOLAPStrategy(boolean swing,
                            OLAPActionUtil util)

  Constructor for specifying type ( swing/http ) of strategy object.

  Parameters:
    `swing` - boolean indicating whether the strategy will be used in a swing environment. If false, the strategy is http type.

Method Detail

### initializeActionAttributes

    protected void initializeActionAttributes(BaseAction action,
                                              java.lang.String areaType,
                                              java.util.Locale locale)

  Description copied from class: `BaseActionStrategy`

  Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes. values.

  This base implementation does nothing to the Action.

  Overrides:
    `initializeActionAttributes` in class `BaseActionStrategy`
  Parameters:
    `action` - The instance of the Action to be initialized.
    `areaType` - The areaType of the Viewer where the Action will be presented.
    `locale` - The locale

### addDynamicValueInfo

    protected void addDynamicValueInfo(java.lang.String valueName,
                                       java.lang.String methodName,
                                       java.lang.String filterAlias)

  Register the information for determining a dynamic value.

  This method is a convenient alternative to the four argument version implemented on `BaseActionStrategy` in that it always passes the `util` object as the `methodObject` argument.

  Parameters:
    `valueName` - The name of the dynamic value.
    `methodName` - The name of the method to call on the methodObject when determining this value dynamically. If null, the dynamic value is considered to be available directly from the ActionSupport filter.
    `filterAlias` - The name of the attribute on the filter. If true, the values of the methodName and methodObject parameters are inconsequential.

### initialize

    protected void initialize()

  Initialize this strategy object.

  Via the `addDynamicValueInfo(java.lang.String, java.lang.String, java.lang.String)` method, this method registers the information for dynamic values that are available in all OLAP areas:

  - `com.sas.actionprovider.strategies.olap.OLAPDynamicValueKeys#MODEL`
  - `com.sas.actionprovider.strategies.olap.OLAPDynamicValueKeys#TABLE`

  Overrides:
    `initialize` in class `BaseActionStrategy`
  See Also:
    `#setReturnStatus`

### setUtilObject

    protected void setUtilObject(java.lang.Object util)

  Description copied from class: `BaseActionStrategy`

  Sets the default utility object on which to invoke the methods that determine dynamic attribute values and Action status values.

  Overrides:
    `setUtilObject` in class `BaseActionStrategy`
  Parameters:
    `util` - the utility object

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.